/**
 * 调整文字大小
 */
function changefont(fontsize) {
	if (fontsize < 0 || fontsize > 3){
		return;
	}
	var contentDiv = document.getElementById('article_body');
	contentDiv.className = 'contentstyle fontSize' + fontsize;
}

/**
 * 点击图片放大图片，相册显示图片
 */
function imageClicked(element) {
	var currImage = element.src;
	var imgIndex = element.attributes['index'].nodeValue;
	if (window.LiNews) {
		window.LiNews.onImageClick(currImage, imgIndex);
	}
}

/**
 * android回调函数，调用图片显示
 */
function replaceImage(imgId, imgSrc, index) {
	if (imgSrc == '') {
		return;
	}
	var imageElement= $("#"+imgId+"");
	if(imageElement){
		imageElement.attr("src",imgSrc);
	}
}

/**
 * 调整单个图片大小
 * @param {Element} 要调整的图片元素
 * @param {Element} 要调整的图片元素的父级元素
 * @remark 
   在android2.2版本一下，有时候获取的页面宽度为0，需要native传入
 */
function adjustImageSize(parent) {
	var img = parent.querySelector('img');
	if(!img) {
		return false;
	}	
	var bodyWidth = document.body.attributes['data-webview-width'].nodeValue / window.devicePixelRatio;
	var box = docSument.getElementById("article_body");	
	var bodyStyle = window.getComputedStyle(box, null);
	var contentW = bodyWidth - parseInt(bodyStyle['margin-left']) - parseInt(bodyStyle['margin-right']);
	var naturalWidth = img.attributes['data-natural-width'];
	if(naturalWidth) {
		var imgNaturalW = img.attributes['data-natural-width'].nodeValue;
		var imgNaturalH = img.attributes['data-natural-height'].nodeValue;
		if (imgNaturalW == 0) {
			return;
		}
		var paraW = Math.max(parent.offsetWidth, contentW);
		var paraH = imgNaturalH * (paraW/imgNaturalW);
		parent.style.height = paraH + "px";
		parent.style.maxHeight = paraW + "px";		
		var modPlayer = img.parentNode;
		modPlayer.style.height = Math.min(paraH, paraW) + "px";	
	}
};

/**
 * 调整所有图片大小
 */
function adjustAllImageSize() {
	var paraItems = document.querySelectorAll('.image');
	for (var i=0; i<paraItems.length; i++) {
		var para = paraItems[i];
		adjustImageSize(para);
	}
}